Bug 216971 - [new port] textproc/fcitx-table-other: other tables for fcitx input method
Summary: [new port] textproc/fcitx-table-other: other tables for fcitx input method
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-10 16:51 UTC by Henry Hu
Modified: 2018-05-23 08:29 UTC (History)
2 users (show)

See Also:


Attachments
port description (5.73 KB, text/plain)
2017-02-10 16:51 UTC, Henry Hu
no flags Details
poudriere log (121.97 KB, text/plain)
2017-02-10 16:53 UTC, Henry Hu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Hu 2017-02-10 16:51:03 UTC
Created attachment 179839 [details]
port description

This new port provides other tables for Fcitx. Different from chinese/fcitx-table-extra, this mainly contains tables which are non-Chinese. For example, it contains a table for emoji.

The port is mostly copied from fcitx-table-extra.

From official website:

fcitx-table-other provides some other tables for Fcitx, fork from ibus-table-others, scim-tables.

Most of the table in this package is non-Chinese table. They are listed under /tables by language.

The package is released under GPLv3+.
Comment 1 Henry Hu 2017-02-10 16:53:12 UTC
Created attachment 179840 [details]
poudriere log
Comment 2 lichray 2018-02-10 20:16:57 UTC
LGTM
Comment 3 Yuri Victorovich freebsd_committer 2018-05-23 08:29:06 UTC
Committed with changes.
Thank you for your contribution!
Comment 4 commit-hook freebsd_committer 2018-05-23 08:29:11 UTC
A commit references this bug:

Author: yuri
Date: Wed May 23 08:28:56 UTC 2018
New revision: 470688
URL: https://svnweb.freebsd.org/changeset/ports/470688

Log:
  New port: textproc/fcitx-table-other: Table-based input methods for Fcitx

  PR:		216971
  Submitted by:	Henry Hu <henry.hu.sh@gmail.com>

Changes:
  head/textproc/Makefile
  head/textproc/fcitx-table-other/
  head/textproc/fcitx-table-other/Makefile
  head/textproc/fcitx-table-other/distinfo
  head/textproc/fcitx-table-other/files/
  head/textproc/fcitx-table-other/files/patch-tables__CMakeLists.txt
  head/textproc/fcitx-table-other/pkg-descr
  head/textproc/fcitx-table-other/pkg-plist